Login to ALVIN

Username
Password



***Operating System Requirements***

ALVIN requires Windows 7 or higher for operation by Wildlife Service Agents. Older versions of Windows may not work or stop working as Microsoft no longer supports previous operating systems with current updates. Unfortunately, WRC will no longer be able to provide technical support to agents using equipment that does not meet the minimum requirements.

***Internet Browser Requirements***

The ALVIN system is compatible with most current internet browsers including Internet Explorer 11, Microsoft Edge, Google Chrome, Mozilla Firefox, and Safari. WRC recommends using the most updated version of the internet browser of your choice as it must support TLS 1.2 or higher to operate ALVIN. WRC will be unable to provide technical support for agents using old versions of any browser. If you have any questions, please contact a customer service representative at 800-662-7350.